{% extends template_base %}
{% load i18n %}
{% load staticfiles %}

{% block title %}Lista de clientes{% endblock %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block page %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item active">Clientes</li>
  </ol>
  <!-- end breadcrumb -->
  <!-- begin page-header -->
  <h1 class="page-header">Clientes <small>lista</small></h1>
  <!-- end page-header -->
  <!-- begin row -->
  <div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-12">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="table-basic-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Lista de Clientes</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
                {% if perms.customers.add_customer %}
                  <a class="btn btn-success btn-sm pull-right ml-1" href="/customers/new/">Nuevo</a>
                {% endif %}
                {% if can_export %}
                  <button id="export-button" class="btn btn-indigo btn-sm pull-right ml-1">Exportar</button>
                {% endif %}
            </div>
          </div>
          <div class="row mb-3">
            <form class="">
              <div class="row mb-3 m-l-2">
                <div class="col-lg-2 col-md-12 m-r-8">
                  <label for="id_service_status" class="control-label m-r-10">Estado servicio</label>
                  <select id="id_service_status" class="form-control">
                    <option value="">Todos</option>
                    <option value="1">Activo</option>
                    <option value="2">Por retirar</option>
                    <option value="3">Retirado</option>
                    <option value="4">No instalado</option>
                    <option value="5">Canje</option>
                    <option value="6">Instalación Rechazada</option>
                    <option value="7">Moroso</option>
                    <option value="8">Cambio de Titular</option>
                    <option value="9">Descartado</option>
                    <option value="10">Baja Temporal</option>
                    <option value="11">Perdido, no se pudo retirar</option>
                  </select>	    
                </div>
                <div class="col-lg-2 col-md-6 m-r-8">

                  <label for="id_balance_status" class="control-label m-r-10">Balance</label>
                  <div class="input-group">
                    <input type="number" id="balance_from" class="form-control" placeholder="Desde">
                    <input type="number" id="balance_to" class="form-control" placeholder="Hasta">                    
                  </div>

                </div>
                <div class="col-lg-2 col-md-6 m-r-8">
                  <label for="id_network_status" class="control-label m-r-10">Red</label>
                  <select id="id_network_status" class="form-control">
                    <option value="">Cualquiera</option>
                    <option value="1">En línea</option>
                    <option value="2">Cortado</option>
                    <option value="3">Desconocido</option>
                  </select>
                </div>
                <div class="col-md-4">
                  <label for="id_network_status" class="control-label m-r-10">Plan</label>
                  <select id="id_plan" class="form-control">
                    <option value="">Todos</option>
                    {% for plan in plans %}
                      <option value="{{ plan.pk }}">{{ plan }}</option>
                    {% endfor %}
                  </select>
                </div>
                <div class="col-xl-1 col-md-6">
                    <label for="id_operator" class="control-label m-r-10">Operador</label>
                    <select id="id_operator" class="form-control">
                      {%if if_todos %}
                      <option value="">Todos</option>
                      <option value="-1">Ninguno</option>
                      {%for b in operadores %}
                      <option value="{{b.id}}">{{b.name}}</option>
                      {%endfor%}
                      {% else%}
                      {%for b in operadores %}
                      <option value="{{current_operator}}">{{current_operator_name}}</option>
                      {%endfor%}
                      {%endif%}
                    </select>
                </div>
                <div class="col-xl-1 col-md-6">
                    <label for="id_type_client" class="control-label m-r-10">Tipos cliente</label>
                    <select id="id_type_client" class="form-control">
                      <option value="0">Todos</option>
                      <option value="1">Hogar</option>
                      <option value="2">Empresa</option>
                    </select>
                </div> 
              </div>
            </form>
          </div>

          <table id="customer-list" class="table table-striped table-bordered table-td-valign-middle">
            <thead>
              <tr>
                <th>ID</th>
                <th>RUT</th>
                <th>Nombre / Razón Social</th>
                <th>Email</th>
                <th>Dirección</th>
                <th>Comuna</th>
                <th>Estado de red</th>
                <th>Servicios</th>
                <th>Balance</th>
                <th>Operador</th>
              </tr>
            </thead>
            <tbody>
            </tbody>
          </table>

        </div>
        <!-- end panel-body -->
      </div>
      <!-- end panel -->
    </div>
    <!-- end col-12 -->
  </div>
  <!-- end row -->

  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
  <script type="text/javascript" defer>
  //active menu
  document.getElementById("clients_menu").classList.add("active");
  //active submenu item
  document.getElementById("clients_item").classList.add("active");
  </script>
  <script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
  <script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
  <script type="text/javascript" src="{% static 'theme/build/js/pages/customer-list.js' %}" defer></script>
{% endblock %}   
